Package csb :: Module build :: Class Console

[frames] | no frames]

# Class Console

source code

    object --+
             |
            Console

CSB Build Bot. Run with -h for usage.

Note: The build console automatically detects and builds the csb package it belongs to. You cannot build a different source tree with it. See the module documentation for more info.

Instance Methods

__init__(self, output=`'``.``'`, verbosity=1, buildtype=`'``source``'`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

build(self) Run the console. | source code

log(self, message, level=1, ending=`'``\n``'`) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

exit(message=None, code=0, usage=True) | source code

run(argv=None) | source code

Class Variables
| PROGRAM = ``'``/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/csb/``...``
| USAGE = ``'``\nCSB Build Console: build, test and package the enti``...``

Properties
| input
| output
| verbosity
Inherited from `object`: `__class__`

Method Details

### __init__(self, output=`'``.``'`, verbosity=1, buildtype=`'``source``'`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `output` (str) - build output directory
  - `verbosity` (int) - verbosity level
Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### PROGRAM

Value:

      '/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/csb/build.pyc'

### USAGE

Value:

      '''
      CSB Build Console: build, test and package the entire csb project.

      Usage:
           python {program} -o output [-v verbosity] [-t type] [-h]

      Options:
            -o  output     Build output directory
      ...

Property Details

### input

Get Method:
  unreachable.input(self)

### output

Get Method:
  unreachable.output(self)
Set Method:
  unreachable.output(self, value)

### verbosity

Get Method:
  unreachable.verbosity(self)
Set Method:
  unreachable.verbosity(self, value)